Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class StreamDataSource

    java.lang.Object
      |
      +--com.macromedia.generator.app.StreamDataSource

Direct Known Subclasses:
  FileDataSource, UrlDataSource

public class StreamDataSource
extends java.lang.Object

Field Summary
`protected FlashEnvironment` | `env`

Constructor Summary
`StreamDataSource()`

Method Summary
`java.lang.String[][]` | `getData(java.io.InputStream inputstream, java.lang.String s)`
`void` | `setCommaDelimiter()`
`void` | `setCustomDelimiter(char c)`
`void` | `setDoubleQuotes()`
`void` | `setEnvironment(FlashEnvironment flashenvironment)`
`void` | `setNoQuotes()`
`void` | `setSemicolonDelimiter()`
`void` | `setSingleQuotes()`
`void` | `setTabDelimiter()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### env

    protected FlashEnvironment env

Constructor Detail

### StreamDataSource

    public StreamDataSource()

Method Detail

### getData

    public java.lang.String[][] getData(java.io.InputStream inputstream,
                                        java.lang.String s)

### setCommaDelimiter

    public void setCommaDelimiter()

### setCustomDelimiter

    public void setCustomDelimiter(char c)

### setDoubleQuotes

    public void setDoubleQuotes()

### setEnvironment

    public void setEnvironment(FlashEnvironment flashenvironment)

### setNoQuotes

    public void setNoQuotes()

### setSemicolonDelimiter

    public void setSemicolonDelimiter()

### setSingleQuotes

    public void setSingleQuotes()

### setTabDelimiter

    public void setTabDelimiter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD